import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { c as cls } from './helpers.js';
import { d as defineCustomElement$2 } from './component.js';

const XSegmentItem$1 = /*@__PURE__*/ proxyCustomElement(class XSegmentItem extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
        this.value = undefined;
        this.icon = undefined;
        this.active = false;
    }
    /**
     * Render element
     */
    render() {
        return h(Host, { key: '2acfc541f36928f3e8178fce976979259be2625b', class: cls({ 'active': this.active }) }, this.icon && h("x-icon", { key: '839ffc967b02dfa6997f6994b2bb5ebae1580cf3', name: this.icon }), h("span", { key: '9098642ab7af1fffcc7cb58d5ded22294b844286' }, h("slot", { key: 'a53232f523b90736cb456d4e3252ab9eb2d3bf67' })));
    }
    get el() { return this; }
}, [4, "x-segment-item", {
        "value": [1],
        "icon": [1],
        "active": [4]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["x-segment-item", "x-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "x-segment-item":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, XSegmentItem$1);
            }
            break;
        case "x-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const XSegmentItem = XSegmentItem$1;
const defineCustomElement = defineCustomElement$1;

export { XSegmentItem, defineCustomElement };
